Loading...
Searching...
No Matches
RDKit::MolWriterParams Struct Reference

`#include <FileWriters.h>`

## Public Attributes

bool | includeStereo = true
bool | kekulize = true
bool | forceV3000 = false
unsigned int | precision = 6

## Detailed Description

Definition at line 20 of file FileWriters.h.

## Member Data Documentation

## forceV3000

bool RDKit::MolWriterParams::forceV3000 = false

force generation a V3000 mol block (happens automatically with more than 999 atoms or bond or if the magnitude of the coordinates are too large)

Definition at line 25 of file FileWriters.h.

Referenced by RDKit::MolToV3KMolBlock(), and RDKit::MolToV3KMolFile().

## includeStereo

bool RDKit::MolWriterParams::includeStereo = true

toggles inclusion of stereochemistry information

Definition at line 21 of file FileWriters.h.

## kekulize

bool RDKit::MolWriterParams::kekulize = true

triggers kekulization of the molecule before it is written

Definition at line 23 of file FileWriters.h.

## precision

unsigned int RDKit::MolWriterParams::precision = 6

precision of coordinates (only available in V3000)

Definition at line 29 of file FileWriters.h.

The documentation for this struct was generated from the following file:

- FileWriters.h